version: '3'

services:
  ###> doctrine/doctrine-bundle ###
  database:
    image: 'mysql:latest'
    environment:
      MYSQL_ROOT_PASSWORD: password
      MYSQL_DATABASE: main
    ports:
      # To allow the host machine to access the ports below, modify the lines below.
      # For example, to allow the host to connect to port 3306 on the container, you would change
      # "3306" to "3306:3306". Where the first port is exposed to the host and the second is the container port.
      # See https://docs.docker.com/compose/compose-file/compose-file-v3/#ports for more information.
      - '3306'
      # You may use a bind-mounted host directory instead, so that it is harder to accidentally remove the volume and lose all your data!
      # - ./docker/db/data:/var/lib/postgresql/data:rw
  ###< doctrine/doctrine-bundle ###

  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    container_name: myapp_phpmyadmin
    environment:
      PMA_HOST: database
      PMA_PORT: 3306
    ports:
      - 8080:80


  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: myapp
    volumes:
      - .:/var/www/html
    ports:
      - "9000:8000"

  app_test:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: myapp_test
    volumes:
      - .:/var/www/html
    ports:
      - "9050:8000"

  maildev:
    image: maildev/maildev
    container_name: maildev_docker_symfony
    command: bin/maildev --web 80 --smtp 25 --hide-extensions STARTTLS
    ports:
      - "8081:80"
    restart: always


volumes:
  ###> doctrine/doctrine-bundle ###
  db-data:
###< doctrine/doctrine-bundle ###

